window.addEventListener('DOMContentLoaded', function() {

	'use strict';
	var urlServer="";
	var bandaraNavego=false;
	var frmPagina=null; 
	var numPaginas=1;
	var TotalPaginas=0;
	var TotalResul=10;
	var numNegociosCerca=0;
	var namecat="";
	var arrayListResult=null;
	var countindex=-1;
	var arrayResults=new Array(objectListResult);
	var latitud="0";
	var longitud="0";
	latitud=localStorage["lat"];
    longitud=localStorage["long"];


	var msnbuscando=document.getElementById('msnbuscando');
	var contListResult=document.getElementById('contListResult');
	var requestListResult=null;
	var butonMas=document.getElementById('butonMas');
	var notResult=document.getElementById('notResult');
	var numneg=document.getElementById('numneg');
	
	//localStorage.setItem('pagina', 'true');
	var pagina = localStorage.getItem('pagina');
	if(pagina=="false")
	{
 		var arrayListResultPrincipal=null; 
 		var valorArray=localStorage.getItem('arrayListResultTem');
 		if(valorArray!=null)
 		{
 		arrayListResultPrincipal=valorArray;
 		}
	}
	
	/*FINSION PARA BUSCAR*/
	var searchInput = document.getElementById('elqueb');	
	var search=document.querySelector('form[name="frmBuscar"]');

	search.addEventListener('submit', function(e) 
	 {

	     e.preventDefault();
	     GoSearch();
  	 }, false);

	function GoSearch()
	{			
		document.location = 'listResultSearch.html?q='+searchInput.value;  
	    document.location.href = 'listResultSearch.html?q='+searchInput.value;
	    searchInput.value="";
	}
	

	

	/*Funcion para realizar un back*/
	var frmAtras = document.querySelector('form[name="frmatras"]');

	frmAtras.addEventListener('submit', function(e) {
      e.preventDefault();
     retrocede();
  	}, false);

	function retrocede() 
	{
 		window.history.go(-1);
	}
	/*Fin de Funcion para realizar un back*/


	//coodenadas estaticas
	
	var idcat="";	
	var loc = document.location.href;
	   var getString = loc.split('?')[1];
	   var GET = getString.split('&');
	   var get = {};//this object will be filled with the key-value pairs and returned.

	   for(var i = 0, l = GET.length; i < l; i++){
	      var tmp = GET[i].split('=');
	      get[tmp[0]] = unescape(decodeURI(tmp[1]));
	   }
	  //alert(get.id+" "+get.cuent);
	  idcat=get.idcat;
	  namecat=get.namecat;
	//alert(idcat);
	if(idcat!="")
	{
	
		//var data = sessionStorage.getItem('existlistreseult');
		var valor = localStorage.getItem('existlistreseult');
	//	if(valor=="true")
	//	{
			
			navigator.mozL10n.once(llamaListResult(idcat, latitud, longitud, TotalResul, numPaginas));
		//}
		//else
		//{
		
		//	window.history.go(-1);			
		//}
	}




	function llamaListResult(idcat, latitud, longitud, TotalResul, numPaginas)
	{
		try
		{
			var urlnegrec=serverListResult(idcat, latitud, longitud, TotalResul, numPaginas);
			if(requestListResult && requestListResult.abort) {
					requestListResult.abort();
				}
			 requestListResult = new XMLHttpRequest({ mozSystem: true });
			 requestListResult.open('get', urlnegrec, true);
			 requestListResult.responseType = 'json';
			 requestListResult.addEventListener('error', onRequestError);
			 requestListResult.addEventListener('load', onRequestListResult);
			 requestListResult.send();
	    }
	    catch(e)
	    {
	    	msnnotResult();
	    }
	}
	
	
	function onRequestError() {
 		localStorage.setItem('existlistreseult', 'false'); 
   
			 msnnotResult();
  }

  function msnnotResult()
 	{
 		if(arrayResults!=null)
 		{
	 		var centalistado=arrayResults.length-1;
	 		if(centalistado>0)
	 		{
	 			notResult.hidden=true;
	 			contListResult.hidden = false;
	 			butonMas.hidden = false;
	 			msnbuscando.textContent="No pudimos encontrar más resultados."
	 		}
	 		else
	 		{
	 		    contListResult.hidden = true;
	 			butonMas.hidden = true;
			    notResult.hidden=false;
			    numneg.textContent="No pudimos encontrar lo que buscabas.";
	 		}
 		}
 		else
 		{
 				contListResult.hidden = true;
	 			butonMas.hidden = true;
			    notResult.hidden=false;
			    numneg.textContent="No pudimos encontrar lo que buscabas.";
 		}

 			/*document.location = 'noHayResultados.html'  
			 document.location.href = 'noHayResultados.html'*/
 	}

  


	function onRequestListResult() {
 		var jsonresult = requestListResult.response;
 	


 	 if(jsonresult.returnedResultsNum!="0" && jsonresult.totalResultsNum!="0")
 		{
 			if(jsonresult.Message==null)
 			{
 			 arrayListResult=jsonresult.ListRes;
 			}
 			else
 			{
 				msnnotResult();
 			}
 			
 		}
 	    else
 		 { 			
 			msnnotResult();
 		 }

 		if(jsonresult.totalPages!="0")
 		{
 			TotalPaginas=parseInt(jsonresult.totalPages);
 		}



	 	if(arrayListResult==0 || arrayListResult==null)
	 	{	
			  msnnotResult();
	 	}
	 	else
	 	{
	 		

	 		
	 		msnbuscando.hidden = true;
	 		numNegociosCerca=numNegociosCerca+arrayListResult.length;
	 		numneg.textContent = numNegociosCerca+" negocios cerca de ti ("+namecat+")";
	 		//alert(numNegociosCerca);
	 		arrayListResult.forEach(function(doc) {
	 		countindex=countindex+1;
	 		var idresult= new objectListResult();
	 		idresult.listadoid=doc.listadoid;
	 		arrayResults[countindex]=idresult;

	 		var distanciakm=0;
	 		var namenegocio=document.createElement('h4');
	 		namenegocio.textContent=doc.bn;
	 		//colocaion de estrellas 
	 		var imagrating=document.createElement('img');
	 		imagrating.src="images/rating.png";

	 		var divrating=document.createElement('div');
	 		divrating.className = divrating.className + "rating";
	 		divrating.appendChild(imagrating);
	 		//fin de estrellas

			//inicia numero de comentarios
	 		var numcomentarios=document.createElement('a');
	 		numcomentarios.className = numcomentarios.className + "comentarios";
	 		numcomentarios.textContent = "(10 comentarios)";
	 		numcomentarios.href = "#";

	 		var divcomentarios=document.createElement('div');
	 		divcomentarios.className = divcomentarios.className + "comentariosgral";
	 		divcomentarios.appendChild(numcomentarios);
 			//Fin de numero de comentarios

 			//Inicia distancia		
 			var divdistancia=document.createElement('div');
	 		divdistancia.className = divdistancia.className + "kilometrajecat";
	 		if(doc.latlon!=null && doc.latlon!="")
	 		{
	 		 distanciakm=parseFloat(doc.latlon)*10/1000;
	 		 divdistancia.textContent=distanciakm+" KM";
	 		}
 			//Fin Ditancia

	 		var contdatneg=document.createElement('a');
	 		contdatneg.href = "listDetalle.html?listadoid="+doc.listadoid;
	 		contdatneg.appendChild(namenegocio);
	 		//contdatneg.appendChild(divrating);
	 		//contdatneg.appendChild(divcomentarios);
	 		contdatneg.appendChild(divdistancia);
	 		
            
            var conttodoneg=document.createElement('div');
            conttodoneg.className = conttodoneg.className + "listlink";
	        conttodoneg.appendChild(contdatneg);

	        contListResult.appendChild(conttodoneg);
	 		});
			
	 	}

 	}

 	/*Funcion para realizar un back*/
	
	var frmPagina = document.querySelector('form[name="frmPagina"]');
	frmPagina.addEventListener('submit', function(e) {
      e.preventDefault();
     Paginar();
  	}, false);

	function Paginar() 
	{
 		if(numPaginas<TotalPaginas)
 		{
 			numPaginas=numPaginas+1;
 			msnbuscando.textContent="Buscando..."
 			msnbuscando.hidden = false;
 			navigator.mozL10n.once(llamaListResult(idcat, latitud, longitud, TotalResul, numPaginas));
 		}
	}
	/*Fin de Funcion para realizar un back*/



});